Index: trunk/expressoAdmin1_2/js/jscode/maillists.js
===================================================================
--- trunk/expressoAdmin1_2/js/jscode/maillists.js	(revision 283)
+++ trunk/expressoAdmin1_2/js/jscode/maillists.js	(revision 309)
@@ -1,4 +1,4 @@
 countFiles = 0;
-function validate_fields(type, restrictionsOnEmailLists)
+function validate_fields(type)
 {
 	document.forms[0].uid.value = document.forms[0].uid.value.toLowerCase();
@@ -6,18 +6,22 @@
 	
 	if (document.forms[0].uid.value == ''){
-		alert(document.getElementById('login_field_has_spaces').value);
+		alert('Campo LOGIN da lista está vazio.');
 		return;
 	}
 
 	if (document.forms[0].cn.value == ''){
-		alert(document.getElementById('list_name_field_is_empty').value);
-		return;
-	}
-	
-	if (restrictionsOnEmailLists == 'true')
+		alert('Campo NOME da lista está vazio.');
+		return;
+	}
+	
+	if (document.forms[0].restrictionsOnEmailLists.value == 'true')
 	{
 		uid_tmp = document.forms[0].uid.value.split("-");
 		if ((uid_tmp.length < 3) || (uid_tmp[0] != 'lista')){
-			alert(document.getElementById('login_field_incomplete').value);
+			alert(
+				'O campo LOGIN da lista está incompleto.\n' +
+				'O nome da lista deve ser formado assim:\n' +
+				'lista-ORGANIZACAO-NOME_DA_LISTA.\n' +
+				'Ex: lista-celepar-rh.');
 			return;
 		}
@@ -25,5 +29,5 @@
 		
 	if (document.forms[0].uid.value.split(" ").length > 1){
-		alert(document.getElementById('login_field_has_spaces').value);
+		alert('Campo LOGIN comtém espaços.');
 		document.forms[0].uid.focus();
 		return;
@@ -31,5 +35,5 @@
 	
 	if (document.forms[0].mail.value == ''){
-		alert(document.getElementById('list_email_field_is_empty').value);
+		alert('Campo E-MAIL da lista está vazio.');
 		document.forms[0].mail.focus();
 		return;
@@ -37,5 +41,5 @@
 	var reEmail = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
 	if(!reEmail.test(document.forms[0].mail.value)){
-		alert(document.getElementById('field_email_is_invalid').value);
+		alert("Campo E-mail não é válido.");
 		return false;
 	}
@@ -43,5 +47,5 @@
 	select_userInMaillist = document.getElementById('ea_select_usersInMaillist');
 	if (select_userInMaillist.options.length == 0){
-		alert(document.getElementById('no_user_is_part_of_the_list').value);
+		alert('Nenhum usuário faz parte da lista.');
 		return;
 	}
@@ -91,5 +95,5 @@
 		alert(data.msg);
 	else{
-		alert(document.getElementById('email_list_successfully_created').value);
+		alert('Lista de emails criada com êxito!');
 		location.href="./index.php?menuaction=expressoAdmin1_2.uimaillists.list_maillists";
 	}
@@ -108,5 +112,5 @@
 		alert(data.msg);
 	else{
-		alert(document.getElementById('email_list_successfully_saved').value);
+		alert('Lista de emails salva com êxito!!');
 		location.href="./index.php?menuaction=expressoAdmin1_2.uimaillists.list_maillists";
 	}
@@ -133,5 +137,5 @@
 		alert(data.msg);
 	else
-		alert(document.getElementById('sending_control_list_successfully_saved').value);
+		alert('Sending Control List salva com êxito!!');
 	location.href="./index.php?menuaction=expressoAdmin1_2.uimaillists.list_maillists";
 	return;
@@ -181,5 +185,5 @@
 	if ((recursive) && (document.forms[0].ldap_context.value == document.getElementById('ea_combo_org_maillists').value))
 	{
-	    alert(document.getElementById('it_is_not_possible_select_users').value);
+		alert('Nao é possível selecionar todos os usuários da organização raiz.')
 		document.getElementById('ea_check_allUsers').checked = false;
 		
@@ -354,5 +358,5 @@
 function delete_maillist(uid, uidnumber)
 {
-	if (confirm(document.getElementById('delete_list').value + " (" +  uid + ")"))
+	if (confirm("Realmente deletar Lista " + uid + " ??"))
 	{
 		var handler_delete_maillist = function(data)
@@ -361,10 +365,10 @@
 				alert(data.msg);
 			else
-				alert(document.getElementById('email_list_successfully_deleted').value);
+				alert('Lista de email deletada com êxito!!');
 			
 			location.href="./index.php?menuaction=expressoAdmin1_2.uimaillists.list_maillists";
 			return;
 		}
-		cExecute('$this.maillist.delete&uidnumber='+uidnumber, handler_delete_maillist); 
+		cExecute ('$this.maillist.delete&uidnumber='+uidnumber, handler_delete_maillist);
 	}
 }
@@ -414,6 +418,2 @@
 	return ufn.substring(0,(ufn.length-1));
 }
-
-function dfg(){
-	alert('aaa');
-}
